Native Card Styling
Closed, ResolvedPublic2 Story Points

Description


Acceptance Criteria:
Define text area so type size reduces for i8n and we can accommodate other scripts
Truncate wikidata description to 3 lines
Title starts at baseline if no description exists (do not reserve vertical whitespace for description)

Vibhabamba updated the task description. (Show Details)
Vibhabamba raised the priority of this task from to Needs Triage.
Vibhabamba assigned this task to Fjalapeno.
Vibhabamba added a subscriber: Vibhabamba.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 9:33 PM
Vibhabamba set Security to None.
Fjalapeno removed Fjalapeno as the assignee of this task.
Fjalapeno edited a custom field.Aug 11 2015, 11:21 PM
Mhurd claimed this task.

@Vibhabamba @Fjalapeno @KHammerstein

This card doesn't seem to be ready for action unless we're changing how we lay out search results.

Specifically, the mocks show title text near the bottom of the image, but we're presently stacking search results such that they're overlapping (showing only the tops of images), so moving the title text down will mean our search results will just end up showing us images and *maybe* a sliver of the title text and no description.

Mhurd added a comment.EditedAug 12 2015, 2:31 AM

We could handle this in a variety of ways - the easiest may be to animate the title/description from the top part of the image to the bottom part of the image when an article card is selected from a list of search results.

If it's ok I'll try this first :)

@mhrud yeah you are right about the animation parts but don’t worry about the animation for now - for the time being just make the list spacing larger and we will come back through to do animation in a separate ticket. I’ll get that queued up tomorrow.

@Mhurd We will display search results in a thumbnail list, similar to search results in production.

Mhurd added a comment.EditedAug 18 2015, 12:39 AM

This is turning out to be *far* greater than 2 story points:

  • DTCoreText can be super tricky to work with when it comes to getting it to style the attributed string it generates. (For example, adjusting line spacing should not add a TON of vertical space above the first paragraph, but it does.)
  • Also there are about a dozen changes that need to be made to make things look like the mocks, not just the 3 acceptance criteria.

@MBinder_WMF what do we do if a card ends up being waaaaay more story points than we estimated?

MBinder_WMF closed this task as Resolved.Oct 7 2015, 10:07 PM